
Core - Task # 58475

Epic # 55575 (Accepted): Streamline JavaScript Code in the TYPO3 Backend
Feature # 39721 (Resolved): Remove Prototype and script.aculo.us JavaScript libraries

Status: Resolved Priority: Should have
Author: Andreas Wolf Category: Backend User Interface
Created: 2014-05-04 Assigned To: Andreas Wolf
Updated: 2015-01-30 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity: medium
Sprint Focus:
Subject: Change IRRE Javascript code to jQuery
Description

The IRRE Javascript code still uses Prototype, which should be replaced with jQuery. Beforehand, the code should be reformatted to
match coding guidelines.

Related issues:
related to Core - Task # 55572: Switch IRRE to jQuery Resolved 2014-02-02
related to Core - Task # 59670: Cleanup jsfunc.inline.js Resolved 2014-06-19
related to Core - Bug # 62001: [Regression] Can not add image to FAL field in... Resolved 2014-10-02
related to Core - Bug # 62440: RTE is not loaded when creating new child or w... Resolved 2014-10-24

Associated revisions
Revision ebfd4674 - 2014-07-11 12:47 - Andreas Wolf

[CLEANUP] Reformat IRRE JS code

This is an automatic reformat performed by PhpStorm, to get rid of some
ugly constructs like one-line inline methods.

Change-Id: Id24666c673b3822916f9c5233c0b34ce7d38e7aa
Related: #58475
Releases: 6.3
Reviewed-on: https://review.typo3.org/29833
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Andreas Wolf
Tested-by: Andreas Wolf

Revision 8eb77ff1 - 2014-07-26 17:48 - Andreas Wolf

[TASK] Use jQuery for IRRE Ajax calls

Change-Id: I5fe2f79ba233e114fb2bfb87c1100eeb8dccbc41
Resolves: #58475
Releases: 6.3
Reviewed-on: http://review.typo3.org/29835
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>
Reviewed-by: Oliver Klee <typo3-coding@oliverklee.de>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

Revision cb6b7f51 - 2014-07-31 10:31 - Andreas Wolf

[TASK] Replace Prototype in inline record JS

This is the first step of replacing Prototype usage.

Change-Id: I6599c3ce7eea493e2bfaa29312775bf1659ded69
Resolves: #58475
Releases: 6.3
Reviewed-on: http://review.typo3.org/29834
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>
Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>

Revision 0a578709 - 2014-10-07 14:05 - Tymoteusz Motylewski

[BUGFIX] Make FAL work in the flexform field having dot in the name

Fixes regression introduced in I6599c3ce7eea493e2bfaa29312775bf1659ded69
During the change from prototype to jQuery few places missed
escaping of the dot in the id of the DOM node.

This patch fixes these places and also few other jQuery related bugs
E.g. we have to use "object.length" to test if jQuery selector
was found.

Resolves: #62001
Related: #58475
Releases: master
Change-Id: I9bb661c5bf58aa9b73106a1e48f2206465a8974e
Reviewed-on: http://review.typo3.org/33106
Reviewed-by: Georg Ringer <georg.ringer@gmail.com>
Tested-by: Georg Ringer <georg.ringer@gmail.com>
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>

Revision e451a415 - 2014-12-16 15:19 - Andreas Wolf

[CLEANUP] Simplify method structures in IRRE JS

There were some deeply nested if-structures in the IRRE JS code, which
are replaced with guard clauses with early returns in this commit.

2015-08-04 2/4

mailto:typo3-coding@oliverklee.de
mailto:lolli@schwarzbu.ch
mailto:lolli@schwarzbu.ch
http://review.typo3.org/29834
mailto:typo3@wouterwolters.nl
mailto:typo3@wouterwolters.nl
mailto:aleichsenring@ab-softlab.de
mailto:aleichsenring@ab-softlab.de
mailto:klein.t3@reelworx.at
mailto:klein.t3@reelworx.at
http://review.typo3.org/33106
mailto:georg.ringer@gmail.com
mailto:georg.ringer@gmail.com
mailto:klein.t3@reelworx.at
mailto:klein.t3@reelworx.at


Change-Id: I8d16b1860679b96ce20a7f484bcccb5a1d395091
Related: #58475
Releases: master
Reviewed-on: http://review.typo3.org/29836
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>
Reviewed-by: Stefan Neufeind <typo3.neufeind@speedpartner.de>
Reviewed-by: Andreas Fernandez <a.fernandez@scripting-base.de>
Reviewed-by: Tymoteusz Motylewski <t.motylewski@gmail.com>
Tested-by: Tymoteusz Motylewski <t.motylewski@gmail.com>

History
#1 - 2014-05-05 19:54 - Stefan Neufeind

One partial solution is currently under review:
[TASK] Use jQuery for IRRE Ajax calls
https://review.typo3.org/29835

#2 - 2014-05-05 19:57 - Stefan Neufeind

Some hint to lookup what all those $A etc. in prototype are for: :-)
http://prototypejs.org/doc/latest/language/dollar-A/

#3 - 2014-06-10 22:13 - Stefan Neufeind

There is a review in ticket #55572 meanwhile. I guess we can close this one and continue in the other ticket?

#4 - 2014-07-11 14:07 - Markus Klein

I blocked #55572 until this is done.

#5 - 2014-07-25 16:06 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/29834

#6 - 2014-07-26 16:07 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/29835

#7 - 2014-07-26 18:00 - Andreas Wolf
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:8eb77ff111805951b9a088af587c2ba735435fe2.

#8 - 2014-11-26 21:33 - Stanislas Rolland
- Status changed from Resolved to New

This change breaks the RTE. See #62440

See comment on https://review.typo3.org/#/c/29834/7

#9 - 2014-12-23 19:45 - Mathias Schreiber
- Target version changed from 7.0 to 7.1 (Cleanup)

#10 - 2014-12-24 00:54 - Stefan Neufeind

Do I see right this issue might have been addressed meanwhile, but problems that resulted from this change are still being fixed/patches reviewed?
They have separate forge-issues though.

#11 - 2015-01-30 10:03 - Benjamin Mack
- Status changed from New to Resolved

done!
